Subject: Re: bug#50187: 28.0.50; tramp is called from calendar

From: Sam Steingold <[email-masked]>
Date: Mon, 22 Aug 2022 23:39:05 -0400

At any rate, I never add either "." or nil to `load-path`.

On Mon, 22 Aug 2022 at 23:25, Michael Heerdegen
<[email-masked]> wrote:
> Not really: your backtrace very much looks like the function
> `calendar-cursor-to-visible-date' was autoloaded.  Autoloads don't
> contain complete paths, they only contain relative file names.  So the
> `load-path' is searched, and if "." or nil is at the beginning, the
> default-directory is searched first.  Else the standard file would have
> been found before default-directory is touched.  Quite plausible that
> this is what you saw.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net>
<http://steingoldpsychology.com>